NXTSensor subclass: #NXTTouchSensor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Enchanting-NXT Peripherals'!
!NXTTouchSensor commentStamp: '<historical>' prior: 0!
A touch sensor -- a simple button with a spring -- for the NXT.!


"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

NXTTouchSensor class
	instanceVariableNames: ''!

!NXTTouchSensor class methodsFor: 'accessing' stamp: 'CWB 12/18/2010 11:59'!
baseName

	^ 'touch sensor'! !

!NXTTouchSensor class methodsFor: 'accessing' stamp: 'CWB 12/18/2010 11:59'!
concreteTypes
"Returns a list of physical devices that implement the functions of this class."


	^ #(
		'Touch Sensor'
	).! !


!NXTTouchSensor class methodsFor: 'block specs' stamp: 'CWB 12/18/2010 12:02'!
configBlockSpec

	^ 'Measures physical contact using a %p named %s'.! !

!NXTTouchSensor class methodsFor: 'block specs' stamp: 'CWB 12/18/2010 12:04'!
providesBlocks
"Returns a list of block specifications to be used in the main user interface if there is any device configured that can use these blocks.  Note that the 'selectors' are all unique, start with the class name followed by a colon, but do not actually have functions that go with them."

	| blocks |
	
	blocks _ #(
		'sensing'
			('%P is pressed?' 				b	NXTTouchSensor:isPressed:)
		).

	^ blocks  ! !


!NXTTouchSensor class methodsFor: 'dropdown lists' stamp: 'CWB 12/18/2010 12:05'!
customListNumber: aNumber
"Peripherals can return custom lists (or nil)."

	^ nil.! !
