BooleanArgMorph subclass: #UnevaluatedBooleanArgMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scratch-BYOB'!

!UnevaluatedBooleanArgMorph methodsFor: 'as yet unclassified' stamp: 'jens 7/22/2010 23:46'!
evaluate

	"empty slot and implicit values need yet to be supported"

	| lambdafy |

	lambdafy _ [:xpr |
		| rcv answerBlock reportBlock bool |
		rcv _ owner receiver.
		rcv ifNil: [rcv _ ScriptableScratchMorph new].
		answerBlock _ rcv blockFromSpec: (rcv wholeBlockSpecForSelector: #procedure) 
									color: (ScriptableScratchMorph blockColorFor: 'operators').
		answerBlock isAtomic: true.
		reportBlock _ rcv blockFromSpec: (rcv wholeBlockSpecForSelector: #doAnswer) 
									color: (ScriptableScratchMorph blockColorFor: 'control').
		(xpr isKindOf: Boolean)
			ifTrue: [
				xpr
					ifTrue: [bool _ rcv blockFromSpec: (rcv wholeBlockSpecForSelector: #getTrue) 
									color: (ScriptableScratchMorph blockColorFor: 'operators').]
					ifFalse: [bool _ rcv blockFromSpec: (rcv wholeBlockSpecForSelector: #getFalse) 
									color: (ScriptableScratchMorph blockColorFor: 'operators').].
				reportBlock replaceArgMorph: reportBlock argMorphs first by: bool]
			ifFalse: [reportBlock argMorphs first defaultValue: xpr].
		answerBlock attachBlock: reportBlock.
		answerBlock ].

	(self isEmptySlot and: [implicitValue notNil])
		ifTrue: [ (implicitValue isKindOf: LambdaBlockMorph)
			ifTrue: [ ^implicitValue]
			ifFalse: [ ^ lambdafy value: implicitValue ]].

	^ lambdafy value: false

! !
