SyntaxElementMorph subclass: #LiteralElementMorph
	instanceVariableNames: 'textBox contents '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Elements'!

!LiteralElementMorph methodsFor: 'as yet unclassified' stamp: 'jens 1/22/2009 23:54'!
asSmalltalk
	^textBox contents! !

!LiteralElementMorph methodsFor: 'as yet unclassified' stamp: 'jens 1/21/2009 22:15'!
contents: aLiteral
	(aLiteral isMemberOf: Array)
		ifTrue: [ textBox label: '#', aLiteral printString ]
		ifFalse: [ textBox label: aLiteral printString ]! !

!LiteralElementMorph methodsFor: 'as yet unclassified' stamp: 'jens 8/27/2009 23:01'!
contextMenu
	|m|
	m _ CustomMenu new.
"	m add: 'duplicate' action: #duplicate. "
	m add: 'delete' action: #throwAway.
	m addLine.
	m add: 'show code...' action: #showGeneratedSmalltalk.

	^m! !

!LiteralElementMorph methodsFor: 'as yet unclassified' stamp: 'jens 1/14/2009 21:54'!
fit

	| bw cw handle |
	bw _ self borderWidth.
	cw _ self labelFont widthOf: $ .
	handle _ cw * 2.

	self extent: textBox extent + (bw * 4).
	self width: self width + handle.

	textBox position: (self left + handle + bw) @ (self center - (textBox extent // 2)) y.

	(owner respondsTo: #fit)
		ifTrue: [owner fit]
! !

!LiteralElementMorph methodsFor: 'as yet unclassified' stamp: 'jens 1/14/2009 22:04'!
initialize
	super initialize.
	color _ Color blue darker.
	textBox _ TextBoxElementMorph new label: ''.
	self addMorph: textBox.
	self fit! !
