OSlotMorph subclass: #TypeInReporterSlotMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scratch-BYOB'!

!TypeInReporterSlotMorph methodsFor: 'as yet unclassified' stamp: 'jens 7/8/2010 23:22'!
asBlockTuple
	"Answer a tuple (Array) describing this block and its arguments."

	| blockTuple arg |
	
	blockTuple _ Array new: 4.
	blockTuple
		at: 1 put: #byob;
		at: 2 put: self rcvr;
		at: 3 put: selector.

	arg _ self nestedBlock.
	(arg isKindOf: ReporterBlockMorph)
		ifTrue: [blockTuple at: 4 put: (Array with: argMorphs first asBlockTuple)]
		ifFalse: [blockTuple at: 4 put: arg evaluate]. 
	^ blockTuple! !

!TypeInReporterSlotMorph methodsFor: 'as yet unclassified' stamp: 'jens 7/8/2010 22:44'!
evaluate

	"empty slot and implicit values need yet to be supported"

	| rcv answerBlock reportBlock |

	(submorphs first isKindOf: ExpressionArgMorph)
		ifFalse: [^ super evaluate].

	rcv _ self receiver.
	rcv ifNil: [rcv _ ScriptableScratchMorph new].
	answerBlock _ rcv blockFromSpec: (rcv wholeBlockSpecForSelector: #procedure) 
							color: (ScriptableScratchMorph blockColorFor: 'operators').
	answerBlock isAtomic: true.
	reportBlock _ rcv blockFromSpec: (rcv wholeBlockSpecForSelector: #doAnswer) 
							color: (ScriptableScratchMorph blockColorFor: 'control').
	reportBlock argMorphs first defaultValue: submorphs first evaluate.
	answerBlock attachBlock: reportBlock.
	^ answerBlock

"

	answerBlock _ ReporterBlockMorph new.
	answerBlock
		isSpecialForm: true;
		selector: #doAnswer;
		commandSpec: '%s'.
	answerBlock argMorphs first defaultValue: submorphs first evaluate.
	^ answerBlock
"! !

!TypeInReporterSlotMorph methodsFor: 'as yet unclassified' stamp: 'jens 7/8/2010 23:17'!
initialize
	super initialize.
	self selector: #typeInLambda.
	self commandSpec: '%s'.
	removeElementMorph ifNotNil: [
		removeElementMorph delete]! !

!TypeInReporterSlotMorph methodsFor: 'as yet unclassified' stamp: 'jens 7/8/2010 23:42'!
isEmptySlot

	(argMorphs first isKindOf: ExpressionArgMorph) ifTrue: [
		^ argMorphs first isEmptySlot].

	^ super isEmptySlot! !
